#!/bin/sh

echo "Reset-service listen on GPIO2"
echo 2 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio2/direction

a=0
b=0

if [ "$1" != "--force" ]
then
	while [ $a -lt 3 ]
	do
		sleep 1s
		if [ $(cat /sys/class/gpio/gpio2/value) -eq 1 ]
		then
			a=$((a+1))
			echo $a
		else
			a=0
		fi
		
		if [ $b -gt 60 ]
		then
			b=0
			c=$(awk '{if (/MemAvailable:/) {print $2;exit}}' /proc/meminfo)
			if [ $c -lt 10000 ]
			then
				touch /etc/hosts;
				echo 'reboot needed!';
				echo $c
				sh /www/ati/write-debug-info.sh /www/ati/data/oom.log OOM-Exception;
				sleep 2;
				reboot;
			fi
		else
			b=$((b+1))
		fi
	done
fi

echo "RESET TO DEFAULT"

echo none> /sys/class/leds/mediatek:orange:wifi/trigger
echo 1 > /sys/class/leds/mediatek:orange:wifi/brightness

/etc/init.d/ati2 stop;
sleep 5;

(echo 'root'; sleep 1; echo 'root') | passwd 'root';
rm -rf /www/ati/data/
cp -R -f /www/ati/openwrt/* /

reboot;