#!/bin/sh

mem=$(cat /proc/meminfo);
ps=$(ps);
cdate=$(date);
syslog=$(logread);
uptime=$(uptime);
hostname=$(uci get system.@system[0].hostname);
board=$(cat /var/sysinfo/model);
networkstat=$(ifconfig);

echo -e \
"info: $2
date: $cdate
uptime: $uptime
hostname: $hostname
board: $board
_________________
mem:
$mem
_________________
ps:
$ps
_________________
network:
$networkstat
_________________
logread:
$syslog
" > $1